Multiset.Entry
Date: 2016-05-24

com.google.common.collect

## Interface Multiset.Entry<E>

- Enclosing interface:
    Multiset<E>

      public static interface Multiset.Entry<E>

  An unmodifiable element-count pair for a multiset. The `Multiset.entrySet()` method returns a view of the multiset whose elements are of this class. A multiset implementation may return Entry instances that are either live "read-through" views to the Multiset, or immutable snapshots. Note that this type is unrelated to the similarly-named type `Map.Entry`.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getCount()` Returns the count of the associated element in the underlying multiset.
    `E` | `getElement()` Returns the multiset element corresponding to this entry.
    `int` | `hashCode()`
    `java.lang.String` | `toString()` Returns the canonical string representation of this entry, defined as follows.

- - ### Method Detail

    - #### getElement

          E getElement()

      Returns the multiset element corresponding to this entry. Multiple calls to this method always return the same instance.
      Returns:
        the element corresponding to this entry

    - #### getCount

          int getCount()

      Returns the count of the associated element in the underlying multiset. This count may either be an unchanging snapshot of the count at the time the entry was retrieved, or a live view of the current count of the element in the multiset, depending on the implementation. Note that in the former case, this method can never return zero, while in the latter, it will return zero if all occurrences of the element were since removed from the multiset.
      Returns:
        the count of the element; never negative

    - #### equals

          boolean equals(java.lang.Object o)

      Returns `true` if the given object is also a multiset entry and the two entries represent the same element and count. That is, two entries `a` and `b` are equal if:

             Objects.equal(a.getElement(), b.getElement())
                 && a.getCount() == b.getCount()

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          int hashCode()

      The hash code of a multiset entry for element `element` and count `count` is defined as:

             ((element == null) ? 0 : element.hashCode()) ^ count

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          java.lang.String toString()

      Returns the canonical string representation of this entry, defined as follows. If the count for this entry is one, this is simply the string representation of the corresponding element. Otherwise, it is the string representation of the element, followed by the three characters `" x "` (space, letter x, space), followed by the count.
      Overrides:
        `toString` in class `java.lang.Object`